Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Safe to Update/Restore?

  1. #1
    Default Safe to Update/Restore?
    hi folks,
    i need to restore my iPhone 3g...
    last time i did this (maybe two years ago),
    i got stuck without a phone for a few months while the saviors of the iPhone world came up with some new software.

    is the latest iTunes update jailbreakable/unlockable?

    thanks in advance for any help!
    cheers!

    jason

  2. #2
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Yes, it's safe for you to update. A 3G is jailbreakable on 4.0.2 with redsn0w 0.9.5b-5.

  3. #3
    But do you have SHSH blobs for 3.x.x in case iOS 4 is too slow on the 3G. I've just heard a lot of people don't like it.

  4. #4
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Strong suggestion .... stay put! Wait until 4.1 is released and jailbroken. Maybe another couple months or so. Still a lot of small but irritating issues with both 4.x and many Cydia apps. Plus the 3G is the worst performer of the group. Pray Apples 4.1 release makes it better.

    In the meantime, run Cydia and select 'make your life easier'. And download and run TinyUmbrella to get your SHSH blobs on YOUR computer. Do this every time you hear about a new version. Piece of cake to do and you're covered just in case they are needed in the future.

  5. #5
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    Quote Originally Posted by korin125 View Post
    But do you have SHSH blobs for 3.x.x in case iOS 4 is too slow on the 3G. I've just heard a lot of people don't like it.
    the 3G doesn't require shsh's for any firmware lower than 4.0

  6. #6
    Quote Originally Posted by j3st3r3 View Post
    the 3G doesn't require shsh's for any firmware lower than 4.0
    I'll remember that for later, but exactly what devices and firmwares require SHSHes?

  7. #7
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Quote Originally Posted by korin125 View Post
    I'll remember that for later, but exactly what devices and firmwares require SHSHes?
    3GS's, 4's, iPad's and iPod 3G's require shsh's for all fw's. 3G's and iPod 2G's only require shsh's for 4.0 and up.

  8. The Following User Says Thank You to jkmonkey For This Useful Post:

    korin125 (2010-08-25)

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •